Package com.mockobjects.constraint

# Interface Constraint

All Known Implementing Classes:
  `And`, `IsAnything`, `IsCloseTo`, `IsEqual`, `IsEventFrom`, `IsGreaterThan`, `IsInstanceOf`, `IsLessThan`, `IsNot`, `IsNull`, `IsSame`, `Or`

public interface Constraint
A constraint over acceptable values.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`eval(Object o)`
Evaluates the constraint for argument o.

## Method Details

### eval

boolean eval(Object o)
Evaluates the constraint for argument o.

Returns:
  `true` if o meets the constraint, `false` if it does not.